Skip to main content
GET
/
v1
/
perps
/
twap
/
orders
/
history
Get TWAP Order History
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/twap/orders/history \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "twapId": "twap_70a37d8f972f2494837f9dba8364cbb4",
      "market": "AAPL-USD.P",
      "side": "buy",
      "startTime": "2025-03-05T14:00:00Z",
      "finishTime": "2025-03-05T15:00:00Z",
      "runningTime": 3600,
      "frequency": 60,
      "avgFilledPrice": "227.42",
      "filledSize": "20.00",
      "totalSize": "20.00",
      "totalFees": "2.27",
      "orderStatus": "completed",
      "reduceOnly": false,
      "successfulOrders": 60,
      "failedOrders": 0
    }
  ],
  "pageInfo": {
    "nextCursor": "NQ5WWO3THN3Q===="
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Filter by market

Example:

"AAPL-USD.P"

limit
integer

Maximum number of results to return

Example:

100

cursor
string

Pagination cursor

Example:

"NQ5WWO3THN3Q===="

startTime
integer

Start time filter (UTC milliseconds)

Example:

1684814400000

endTime
integer

End time filter (UTC milliseconds)

Example:

1672549200000

Response

Paginated list of TWAP orders

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]
pageInfo
object